package org.w3c.rdf.examples;

import org.xml.sax.SAXException;
import org.w3c.rdf.model.*;
import org.w3c.rdf.util.*;

/**
 * A simple demo program that create a unique URI. An optional argument is the number of
 * unique URIs to create.
 */

public class CreateUniqueURIs {

//   static void bailOut() {
//       System.err.println("Usage: ParseAndSerialize [-triples | -xml] <fileNameOrURL>\n" + 
// 			 "If no option is specified both triples and XML is displayed.");
//       System.exit(1);
//   }

  public static void main(String[] args) throws Exception {

    int num = 1;
    if(args.length == 1) {
      num = Integer.parseInt(args[0]);
    }

    NodeFactory f = new RDFFactoryImpl().createModel().getNodeFactory();

    for(int i=0; i < num; i++) {
      System.out.println("" + f.createUniqueResource());
    }
  }
}
